Changeset 136 for ThirdParty/ASL/trunk


Ignore:
Timestamp:
Nov 20, 2006 11:07:17 PM (13 years ago)
Author:
ladanyi
Message:

do not do fpu control in AMPL on linux w/ xlc

Location:
ThirdParty/ASL/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/configure

    r101 r136  
    845845  --enable-debug          compile all projects with debug options tests
    846846  --enable-debug-asl compile this project (ASL) with debug options
     847  --enable-doscompile     Under Cygwin, compile so that executables run under
     848                          DOS (default: disabled)
    847849  --disable-dependency-tracking  speeds up one-time build
    848850  --enable-dependency-tracking   do not reject slow dependency extractors
     
    15541556esac
    15551557
     1558# Check whether --enable-doscompile or --disable-doscompile was given.
     1559if test "${enable_doscompile+set}" = set; then
     1560  enableval="$enable_doscompile"
     1561  if test "$enable_doscompile = yes"; then
     1562  case $build in
     1563    *-cygwin*) ;;
     1564    *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes only sense under Cygwin" >&5
     1565echo "$as_me: error: --enable-doscompile option makes only sense under Cygwin" >&2;}
     1566   { (exit 1); exit 1; }; } ;;
     1567  esac
     1568fi
     1569else
     1570  enable_doscompile=no
     1571fi;
     1572
     1573
    15561574
    15571575
     
    23342352        coin_dbg_cflags="-g"
    23352353        coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
    2336 
    2337         case $build in
    2338           *-cygwin*)
    2339             CFLAGS="-mno-cygwin"
    2340             cat >conftest.$ac_ext <<_ACEOF
     2354        if test "$enable_doscompile" = yes; then
     2355          case $build in
     2356            *-cygwin*)
     2357              CFLAGS="-mno-cygwin"
     2358              cat >conftest.$ac_ext <<_ACEOF
    23412359/* confdefs.h.  */
    23422360_ACEOF
     
    23832401rm -f conftest.err conftest.$ac_objext \
    23842402      conftest$ac_exeext conftest.$ac_ext
    2385             CFLAGS=
    2386           ;;
    2387         esac
    2388         ;;
     2403              CFLAGS=
     2404            ;;
     2405          esac
     2406        fi
    23892407    esac
    23902408  fi
     
    37293747      asladdcflags="-DNON_STDIO"
    37303748      case $CC in
    3731         pgcc* | */pgcc*)
     3749        pgcc* | */pgcc* | xlc* | */xlc* | blrts_xlc* | */blrts_xlc*)
    37323750          asladdcflags="$asladdcflags -DNO_fpu_control";;
    37333751      esac
     
    50585076
    50595077if test x"$coin_vpath_link_files" = x; then : ; else
    5060   { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     5078  lnkcmd=
     5079  if test "$enable_doscompile" = yes; then
     5080    lnkcmd=cp
     5081  fi
     5082  case "$CC" in
     5083    cl* | */cl*)
     5084      lnkcmd=cp ;;
     5085  esac
     5086  if test "$lnkcmd" = cp; then
     5087    { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     5088echo "$as_me: Copying data files for VPATH configuration" >&6;}
     5089  else
     5090    echo "$as_me:$LINENO: checking whether ln -s works" >&5
     5091echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
     5092LN_S=$as_ln_s
     5093if test "$LN_S" = "ln -s"; then
     5094  echo "$as_me:$LINENO: result: yes" >&5
     5095echo "${ECHO_T}yes" >&6
     5096else
     5097  echo "$as_me:$LINENO: result: no, using $LN_S" >&5
     5098echo "${ECHO_T}no, using $LN_S" >&6
     5099fi
     5100
     5101    { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    50615102echo "$as_me: Creating VPATH links for data files" >&6;}
     5103    lnkcmd="$LN_S"
     5104  fi
    50625105  for file in $coin_vpath_link_files; do
     5106    dir=`(dirname "./$file") 2>/dev/null ||
     5107$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     5108         X"./$file" : 'X\(//\)[^/]' \| \
     5109         X"./$file" : 'X\(//\)$' \| \
     5110         X"./$file" : 'X\(/\)' \| \
     5111         .     : '\(.\)' 2>/dev/null ||
     5112echo X"./$file" |
     5113    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     5114          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     5115          /^X\(\/\/\)$/{ s//\1/; q; }
     5116          /^X\(\/\).*/{ s//\1/; q; }
     5117          s/.*/./; q'`
     5118    if test -d $dir; then : ; else
     5119      { if $as_mkdir_p; then
     5120    mkdir -p $dir
     5121  else
     5122    as_dir=$dir
     5123    as_dirs=
     5124    while test ! -d "$as_dir"; do
     5125      as_dirs="$as_dir $as_dirs"
     5126      as_dir=`(dirname "$as_dir") 2>/dev/null ||
     5127$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     5128         X"$as_dir" : 'X\(//\)[^/]' \| \
     5129         X"$as_dir" : 'X\(//\)$' \| \
     5130         X"$as_dir" : 'X\(/\)' \| \
     5131         .     : '\(.\)' 2>/dev/null ||
     5132echo X"$as_dir" |
     5133    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     5134          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     5135          /^X\(\/\/\)$/{ s//\1/; q; }
     5136          /^X\(\/\).*/{ s//\1/; q; }
     5137          s/.*/./; q'`
     5138    done
     5139    test ! -n "$as_dirs" || mkdir $as_dirs
     5140  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dir" >&5
     5141echo "$as_me: error: cannot create directory $dir" >&2;}
     5142   { (exit 1); exit 1; }; }; }
     5143
     5144    fi
    50635145    rm -f $file
    5064     $LN_S $abs_source_dir/$file $file
     5146    $lnkcmd $abs_source_dir/$file $file
    50655147  done
    50665148fi
  • ThirdParty/ASL/trunk/configure.ac

    r101 r136  
    8080      asladdcflags="-DNON_STDIO"
    8181      case $CC in
    82         pgcc* | */pgcc*)
     82        pgcc* | */pgcc* | xlc* | */xlc* | blrts_xlc* | */blrts_xlc*)
    8383          asladdcflags="$asladdcflags -DNO_fpu_control";;
    8484      esac
Note: See TracChangeset for help on using the changeset viewer.